Bootstrap (Java SE 26 & JDK 26)
Description: declaration: module: jdk.jdi, package: com.sun.jdi, class: Bootstrap
Keywords: com.sun.jdi.Bootstrap class

# Class Bootstrap

java.lang.Object
com.sun.jdi.Bootstrap

public class Bootstrap extends Object
Initial class that provides access to the default implementation of JDI interfaces. A debugger application uses this class to access the single instance of the `VirtualMachineManager` interface.

Since:
  1.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Bootstrap()`
  Deprecated, for removal: This API element is subject to removal in a future version.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VirtualMachineManager`
  `virtualMachineManager()`
  Returns the virtual machine manager.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### Bootstrap

    @Deprecated(since="16", forRemoval=true) public Bootstrap()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Do not call.

- ## Method Details

  - ### virtualMachineManager

    public static VirtualMachineManager virtualMachineManager()
    Returns the virtual machine manager.

    May throw an unspecified error if initialization of the `VirtualMachineManager` fails or if the virtual machine manager is unable to locate or create any `Connectors`.